JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
OSCReceiver::RealtimeCallback Struct Reference

Use this struct as the template parameter for Listener and ListenerWithOSCAddress to receive incoming OSC data immediately after it arrives, called directly on the network thread that listens to incoming OSC traffic. More...

`#include <juce_OSCReceiver.h>`

## Detailed Description

Use this struct as the template parameter for Listener and ListenerWithOSCAddress to receive incoming OSC data immediately after it arrives, called directly on the network thread that listens to incoming OSC traffic.

This type can be used by OSC callbacks that don't do much, but are realtime-critical, for example, setting real-time audio parameters.

The documentation for this struct was generated from the following file:

- juce_OSCReceiver.h